diff options
author | pmikus <peter.mikus@protonmail.ch> | 2024-05-16 10:56:08 +0200 |
---|---|---|
committer | Peter Mikus <peter.mikus@protonmail.ch> | 2024-05-16 08:58:12 +0000 |
commit | 38557d8c48f92593792394b1900588d830b10d3c (patch) | |
tree | 50c08388c6834ca2df7bbd137eebae51f05665fa /resources/libraries/bash/entry | |
parent | 5f16cc6cde29073d125393cdea610de44a073c8f (diff) |
feat(bootstrap): Add more granular eb scripts
Signed-off-by: Peter Mikus <peter.mikus@protonmail.ch>
Change-Id: Icbcd373ef815fa082d9be022fc201c96df140536
Diffstat (limited to 'resources/libraries/bash/entry')
-rwxr-xr-x | resources/libraries/bash/entry/bootstrap_aws_eb_version_create_release.sh | 32 |
1 files changed, 32 insertions, 0 deletions
diff --git a/resources/libraries/bash/entry/bootstrap_aws_eb_version_create_release.sh b/resources/libraries/bash/entry/bootstrap_aws_eb_version_create_release.sh new file mode 100755 index 0000000000..0bbf3b83ff --- /dev/null +++ b/resources/libraries/bash/entry/bootstrap_aws_eb_version_create_release.sh @@ -0,0 +1,32 @@ +# Copyright (c) 2024 Cisco and/or its affiliates. +# Licensed under the Apache License, Version 2.0 (the "License"); +# you may not use this file except in compliance with the License. +# You may obtain a copy of the License at: +# +# http://www.apache.org/licenses/LICENSE-2.0 +# +# Unless required by applicable law or agreed to in writing, software +# distributed under the License is distributed on an "AS IS" BASIS, +# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. +# See the License for the specific language governing permissions and +# limitations under the License. + +set -exuo pipefail + +# Assumptions: +# + There is a directory holding CSIT code to use (this script is there). +# Consequences (and specific assumptions) are multiple, +# examine tree of functions for current description. + +# "set -eu" handles failures from the following two lines. +BASH_ENTRY_DIR="$(dirname $(readlink -e "${BASH_SOURCE[0]}"))" +BASH_FUNCTION_DIR="$(readlink -e "${BASH_ENTRY_DIR}/../function")" +source "${BASH_FUNCTION_DIR}/common.sh" || { + echo "Source failed." >&2 + exit 1 +} +source "${BASH_FUNCTION_DIR}/eb_version.sh" || die "Source failed." +source "${BASH_FUNCTION_DIR}/hugo.sh" || die "Source failed." +source "${BASH_FUNCTION_DIR}/terraform.sh" || die "Source failed." +common_dirs || die +eb_version_create_release || die |